This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 678910 - (activitymanager) Review Request: kde-plasma-activitymanager - KDE plasma activity manager applet
Review Request: kde-plasma-activitymanager - KDE plasma activity manager applet
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-02-20 13:17 EST by Magnus Tuominen
Modified: 2011-06-02 14:54 EDT (History)
5 users (show)

See Also:
Fixed In Version: kde-plasma-activitymanager-0.5-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-24 14:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Magnus Tuominen 2011-02-20 13:17:02 EST
Spec URL: http://magnu5.fedorapeople.org/review/activitymanager/SPECS/activitymanager.spec
SRPM URL: http://magnu5.fedorapeople.org/review/activitymanager/SRPMS/activitymanager-0.5-1.fc14.src.rpm
Description: Lightweight plasmoid to manage your activities effectively.
Can start, stop, switch between, clone, edit and remove activities.

rpmlint -iv activitymanager.spec 
activitymanager.spec: I: checking-url http://kde-apps.org/CONTENT/content-files/136278-activitymanager-0.5.tar.bz2 (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -iv activitymanager-0.5-1.fc14.src.rpm 
activitymanager.src: I: checking
activitymanager.src: W: spelling-error %description -l en_US plasmoid -> plasmid, plasmodium, plasmolytic
The value of this tag appears to be misspelled. Please double-check.

activitymanager.src: I: checking-url http://kde-apps.org/content/show.php?content=136278 (timeout 10 seconds)
activitymanager.src: I: checking-url http://kde-apps.org/CONTENT/content-files/136278-activitymanager-0.5.tar.bz2 (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 nucleo 2011-02-20 18:12:02 EST
kde-plasma- prefix used by convention for all plasma applets
So kde-plasma-activitymanager will be more more correct name.

No need to run desktop-file-validate for files in %{_datadir}/kde4/services/

%{buildroot} and $RPM_BUILD_ROOT should not be mixed in one spec.

Why you added explicit Requires: kdebase-workspace ?
Comment 2 Magnus Tuominen 2011-02-21 00:14:51 EST
Thanks for the comments, fixed build and spec:

BR changed to kdeplasma-addons-devel and Requires removed.

http://magnu5.fedorapeople.org/review/kde-plasma-activitymanager/SPECS/kde-plasma-activitymanager.spec

http://magnu5.fedorapeople.org/review/kde-plasma-activitymanager/SRPMS/kde-plasma-activitymanager-0.5-2.fc14.src.rpm

rpmlint -iv kde-plasma-activitymanager.spec 
kde-plasma-activitymanager.spec: I: checking-url http://kde-apps.org/CONTENT/content-files/136278-activitymanager-0.5.tar.bz2 (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -iv kde-plasma-activitymanager-0.5-2.fc14.src.rpm 
kde-plasma-activitymanager.src: I: checking
kde-plasma-activitymanager.src: W: spelling-error %description -l en_US plasmoid -> plasmid, plasmodium, plasmolytic
The value of this tag appears to be misspelled. Please double-check.

kde-plasma-activitymanager.src: I: checking-url http://kde-apps.org/content/show.php?content=136278 (timeout 10 seconds)
kde-plasma-activitymanager.src: I: checking-url http://kde-apps.org/CONTENT/content-files/136278-activitymanager-0.5.tar.bz2 (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 3 Rex Dieter 2011-05-20 11:45:50 EDT
naming: ok

sources: ok
$ md5sum *.bz2
7592bf60fafcb465fe75cd987a037ffc  136278-activitymanager-0.5.tar.bz2

builds/installs: ok

licensing: ok , though looking through the sources looks like GPLv2+

scriptlets: n/a

Otherwise fairly small and simple, looks good.


APPROVED.
Comment 4 Magnus Tuominen 2011-05-21 07:08:12 EDT
New Package SCM Request
=======================
Package Name: kde-plasma-activitymanager
Short Description: KDE plasma activity manager applet
Owners: magnu5
Branches: f14 f15 devel
InitialCC:
Comment 5 Jason Tibbitts 2011-05-23 13:41:17 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-05-24 14:14:47 EDT
kde-plasma-activitymanager-0.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kde-plasma-activitymanager-0.5-2.fc14
Comment 7 Fedora Update System 2011-05-24 14:15:45 EDT
kde-plasma-activitymanager-0.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kde-plasma-activitymanager-0.5-2.fc15
Comment 8 Fedora Update System 2011-05-30 18:32:22 EDT
kde-plasma-activitymanager-0.5-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 9 Fedora Update System 2011-06-02 06:58:38 EDT
kde-plasma-activitymanager-0.5-2.fc14 has been pushed to the Fedora 14 stable repository.
Comment 10 Fedora Update System 2011-06-02 14:54:50 EDT
kde-plasma-activitymanager-0.5-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.